Skip to content
Commits on Dec 31, 2011
  1. Update lib/siriproxy.rb

    committed
Commits on Dec 30, 2011
Commits on Dec 8, 2011
  1. @chendo

    Added initialize method that takes a config so plugins that don't def…

    chendo committed
    …ine it won't break
    
    Conflicts:
    
    	lib/siriproxy/plugin.rb
Commits on Dec 7, 2011
  1. @plamoni

    Merge branch 'refs/heads/dev'

    plamoni committed
  2. @plamoni

    Updated version number

    plamoni committed
  3. @plamoni

    Merge branch 'refs/heads/dev'

    plamoni committed
  4. @plamoni
Commits on Dec 6, 2011
  1. @plamoni
  2. @plamoni
Commits on Dec 4, 2011
  1. @plamoni

    2.3.3 Added filters preview and custom commonName

    plamoni committed
    -Added "-n" option for "gencerts" to allow you to define the commonName (this is useful when you have multiple certs)
    -Added an early preview of filters for low level handling of arbitrary objects. Please provide feedback on these in the IRC chat!
    -Added an inspect method to the SiriProxy::Plugin class.
    -Added support for selecting a branch for plugins in the config.yml
  2. @plamoni

    Fixed spelling error.

    plamoni committed
  3. @plamoni
  4. @plamoni
  5. @plamoni
Commits on Dec 2, 2011
  1. @netpro2k

    Merge pull request #104 from nolim1t/rvmpatch

    netpro2k committed
    Added RVMRC file
  2. @netpro2k

    Merge pull request #111 from litlfred/typo

    netpro2k committed
    Fixed typo in header comments of example plugin
  3. Fixed typo in header comments of example plugin

    litlfred committed
Commits on Dec 1, 2011
  1. @nolim1t
  2. @nolim1t

    Added RVMRC file

    nolim1t committed
  3. @plamoni

    Second attempt to fix openssl < 1.0.0

    plamoni committed
    Okay,  that first attempt failed. I left a "default_md=default" in there and misspelled "sha1" -- my bad. :-)
  4. @plamoni

    Updated version number

    plamoni committed
  5. @plamoni

    Added default message digest for openssl < 1.0.0

    plamoni committed
    Openssl versions prior to 1.0.0 were giving an error because they didn't have a default message digest type. I added one: sha1
    
    I believe this is how it was fixed before, but they provided md5 as the default digest type and Apple was not cool with that, causing errors when running SiriProxy.
Commits on Nov 30, 2011
  1. @netpro2k

    Merge gemify

    netpro2k committed
    Conflicts:
    	README.md
  2. @plamoni

    Added the ability to add a :spoken option to say and ask

    plamoni committed
    -Example:
    
    say "Do as I write", spoken: "Do not what I speak"
    
    -Also re-fixed the ".git" errors :-)
  3. @plamoni

    Merge pull request #89 from jamesjr221990/patch-1

    plamoni committed
    edited the instructions to config.yml instead of config.yaml
  4. @plamoni

    Merge pull request #88 from eMxyzptlk/gemspec_ruby_version

    plamoni committed
    Gemspec ruby version
Commits on Nov 29, 2011
  1. @jamesjr221990
  2. @kalbasit
  3. @kalbasit

    Gemspec: Depend on MRI >= 1.9.3

    kalbasit committed
  4. @plamoni

    Revert "Merge pull request #75 from ErebusBat/gemify"

    plamoni committed
    This reverts commit c403cde, reversing
    changes made to 82aaa99.
    
    (the changes to gen_certs.sh were breaking cert generation).
  5. @plamoni

    Fixed `'s in readme.

    plamoni committed
  6. @plamoni
Commits on Nov 28, 2011
  1. @plamoni

    Merge pull request #75 from ErebusBat/gemify

    plamoni committed
    Fix 0 byte ca.pem from gen_certs.sh
  2. @ErebusBat
  3. @plamoni

    Added "update" task to siriproxy "bin"

    plamoni committed
    You can now update from a directory or directly from github (even specify a branch!). Great for people working on plugins who need to quickly update their code!
Something went wrong with that request. Please try again.